Subject: [BEHAVE] draft-ietf-behave-dccp as BCP

From: "Dan Wing" <[email-masked]>
Date: Mon, 27 Oct 2008 08:55:34 -0700

Magnus just pointed out the intended status for this document is supposed to
be BCP -- not proposed standard.  My write up said 'standards track', which is
vague between BCP and proposed standard.

To clarify:  draft-ietf-behave-dccp is going to be a BCP, along with similar
documents that BEHAVE has published (TCP, UDP, ICMP, etc.).

Sorry about that,
-d

> -----Original Message-----
> From: Dan Wing [mailto:[email-masked]] 
> Sent: Tuesday, September 16, 2008 2:29 PM
> To: 'Behave WG'
> Subject: FW: pub request, draft-ietf-behave-dccp-02.txt
> 
> FYI.
> 
> -d
>  
> 
> -----Original Message-----
> From: Dan Wing [mailto:[email-masked]] 
> Sent: Tuesday, September 16, 2008 2:29 PM
> To: [email-masked]'; 'Magnus Westerlund'
> Subject: pub request, draft-ietf-behave-dccp-02.txt
> 
> Document shepherd write-up for draft-ietf-behave-dccp-02.txt
> date: 16-Sep-2008
> 
>    (1.a)  Who is the Document Shepherd for this document? 
> 
> Dan Wing, [email-masked]
> 
>           Has the
>           Document Shepherd personally reviewed this version of the
>           document and, in particular, does he or she believe this
>           version is ready for forwarding to the IESG for publication?
> 
> Yes.
> 
> 
>    (1.b)  Has the document had adequate review both from key 
> WG members
>           and from key non-WG members?  Does the Document 
> Shepherd have
>           any concerns about the depth or breadth of the reviews that
>           have been performed?
> 
> No concerns.
> 
> 
>    (1.c)  Does the Document Shepherd have concerns that the document
>           needs more review from a particular or broader perspective,
>           e.g., security, operational complexity, someone 
> familiar with
>           AAA, internationalization, or XML?
> 
> The WGLC was done in conunction with the DCCP working group.
> 
> 
>    (1.d)  Does the Document Shepherd have any specific concerns or
>           issues with this document that the Responsible Area Director
>           and/or the IESG should be aware of?  For example, perhaps he
>           or she is uncomfortable with certain parts of the 
> document, or
>           has concerns whether there really is a need for it.  In any
>           event, if the WG has discussed those issues and has 
> indicated
>           that it still wishes to advance the document, detail those
>           concerns here.  Has an IPR disclosure related to 
> this document
>           been filed?  If so, please include a reference to the
>           disclosure and summarize the WG discussion and conclusion on
>           this issue.
> 
> No concerns.
> 
> 
> 
>    (1.e)  How solid is the WG consensus behind this document?  Does it
>           represent the strong concurrence of a few individuals, with
>           others being silent, or does the WG as a whole 
> understand and
>           agree with it?
> 
> There is solid WG consensus behind this document; many of its 
> recommendations are derived from BEHAVE's UDP document (RFC4787) and
> TCP document (draft-ietf-behave-tcp).
> 
> 
>    (1.f)  Has anyone threatened an appeal or otherwise 
> indicated extreme
>           discontent?  If so, please summarize the areas of 
> conflict in
>           separate email messages to the Responsible Area 
> Director.  (It
>           should be in a separate email because this questionnaire is
>           entered into the ID Tracker.)
> 
> There has been no discontent.
> 
> 
>    (1.g)  Has the Document Shepherd personally verified that the
>           document satisfies all ID nits?  (See
>           http://www.ietf.org/ID-Checklist.html and
>           http://tools.ietf.org/tools/idnits/.)  Boilerplate 
> checks are
>           not enough; this check needs to be thorough. 
> 
> Yes.
> 
>           Has the document
>           met all formal review criteria it needs to, such as the MIB
>           Doctor, media type, and URI type reviews? 
> 
> Yes.
> 
>           If the document
>           does not already indicate its intended status at the top of
>           the first page, please indicate the intended status here.
> 
> intended status: Standards Track
> 
> 
>    (1.h)  Has the document split its references into normative and
>           informative?  Are there normative references to 
> documents that
>           are not ready for advancement or are otherwise in an unclear
>           state?  If such normative references exist, what is the
>           strategy for their completion?  Are there normative 
> references
>           that are downward references, as described in [RFC3967]?  If
>           so, list these downward references to support the Area
>           Director in the Last Call procedure for them [RFC3967].
> 
> All references are verified by the document shepherd, and are good.
> 
> 
>    (1.i)  Has the Document Shepherd verified that the document's IANA
>           Considerations section exists and is consistent 
> with the body
>           of the document?  If the document specifies protocol
>           extensions, are reservations requested in appropriate IANA
>           registries?  Are the IANA registries clearly identified?  If
>           the document creates a new registry, does it define the
>           proposed initial contents of the registry and an allocation
>           procedure for future registrations?  Does it suggest a
>           reasonable name for the new registry?  See 
> [RFC2434].  If the
>           document describes an Expert Review process, has 
> the Document
>           Shepherd conferred with the Responsible Area 
> Director so that
>           the IESG can appoint the needed Expert during IESG 
> Evaluation?
> 
> There are no IANA actions for this document.
> 
> 
>    (1.j)  Has the Document Shepherd verified that sections of the
>           document that are written in a formal language, such as XML
>           code, BNF rules, MIB definitions, etc., validate 
> correctly in
>           an automated checker?
> 
> The document contains no formal language.
> 
> 
>    (1.k)  The IESG approval announcement includes a Document
>           Announcement Write-Up.  Please provide such a Document
>           Announcement Write-Up.  Recent examples can be found in the
>           "Action" announcements for approved documents.  The approval
>           announcement contains the following sections:
> 
>           Technical Summary
>              Relevant content can frequently be found in the abstract
>              and/or introduction of the document.  If not, this may be
>              an indication that there are deficiencies in the abstract
>              or introduction.
> 
> 
> This document defines a set of requirements for DCCP-capable NATs
> that would allow certain applications, such as streaming applications
> to operate consistently.  
> 
> 
>           Working Group Summary
>              Was there anything in the WG process that is 
> worth noting?
>              For example, was there controversy about 
> particular points
>              or were there decisions where the consensus was
>              particularly rough?
> 
> Nothing worth noting.
> 
> 
>           Document Quality
>              Are there existing implementations of the 
> protocol?  Have a
>              significant number of vendors indicated their plan to
>              implement the specification? 
> 
> Unknown.
> 
> 
>              Are there any reviewers that
>              merit special mention as having done a thorough review,
>              e.g., one that resulted in important changes or a
>              conclusion that the document had no substantive issues? 
> 
> They are listed in the acknowledgements section.
> 
>              If
>              there was a MIB Doctor, Media Type, or other 
> Expert Review,
>              what was its course (briefly)?  In the case of a 
> Media Type
>              Review, on what date was the request posted?
> 
> This document did not include such reviews, and doesn't need one.
> 
> 
>           Personnel
>              Who is the Document Shepherd for this document?
> 
> Dan Wing, [email-masked]
> 
>              Who is the
>              Responsible Area Director? 
> 
> Magnus Westerlund, [email-masked]
> 
>              If the document requires IANA
>              experts(s), insert 'The IANA Expert(s) for the registries
>              in this document are <TO BE ADDED BY THE AD>.'
> 
> No experts are needed.
> 
> 
> 

_______________________________________________
Behave mailing list
[email-masked]
https://www.ietf.org/mailman/listinfo/behave